<html lang="en">
<head>
<title>Creating a display - Speedbar: File/Tag summarizing utility</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Speedbar: File/Tag summarizing utility">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Extending.html#Extending" title="Extending">
<link rel="prev" href="Tagging-Extensions.html#Tagging-Extensions" title="Tagging Extensions">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Creating-a-display"></a>
Previous:&nbsp;<a rel="previous" accesskey="p" href="Tagging-Extensions.html#Tagging-Extensions">Tagging Extensions</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Extending.html#Extending">Extending</a>
<hr>
</div>

<h3 class="section">7.4 Creating a display</h3>

<p><a name="index-creating-a-display-83"></a>
Rendering a display in speedbar is completely flexible.  When your
button function is called, see <a href="Minor-Display-Modes.html#Minor-Display-Modes">Minor Display Modes</a>, and <a href="Major-Display-Modes.html#Major-Display-Modes">Major Display Modes</a>, you have control to <code>insert</code> anything you want.

   <p>The conventions allow almost anything to be inserted, but several helper
functions are provided to make it easy to create the standardized
buttons.

   <p>To understand the built in functions, each `button' in speedbar consists
of four important pieces of data.  The text to be displayed, token
data to be associated with the text, a function to call, and some face to
display it in.

   <p>When a function is provided, then that text becomes mouse activated,
meaning the mouse will highlight the text.

   <p>Additionally, for data which can form deep trees, each line is given a
depth which indicates how far down the tree it is.  This information is
stored in invisible text at the beginning of each line, and is used by
the navigation commands.

<ul class="menu">
<li><a accesskey="1" href="Creating-Buttons.html#Creating-Buttons">Creating Buttons</a>
<li><a accesskey="2" href="Generic-Tag-Lists.html#Generic-Tag-Lists">Generic Tag Lists</a>
<li><a accesskey="3" href="Expand-Buttons.html#Expand-Buttons">Expand Buttons</a>
</ul>

   </body></html>

